# BEGIN SourceDeps(oneline):
BuildRequires: boost-program_options-devel gcc-c++ pkgconfig(zlib)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           lierolibre
Version:        0.5
Release:        alt8_29
Summary:        Old-school duel shooter in wormholes based on the classic Liero game
Group:          Games/Other
License:        BSD and WTFPL
URL:            https://launchpad.net/lierolibre
Source0:        https://launchpad.net/lierolibre/trunk/%{version}/+download/%{name}-%{version}.tar.xz
Patch0:         lierolibre-0.5-mga-cfg-utf8.patch
Patch1:         adapt-to-new-libconfig.patch
### for arm build (patch2,3,4)
Patch2:         0001-Use-unaligned-access-define-over-checking-arch.patch
Patch3:         0002-At-least-try-building-for-other-archs-than-x86.patch
Patch4:         0003-Remove-unknown-arch-warning.patch

BuildRequires:  boost-complete
BuildRequires:  ImageMagick-tools libImageMagick7.10
BuildRequires:  pkgconfig(libconfig++)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  sox-base
Source44: import.info

%description
Liero is a simple game. Pick your five weapons, and unleash your inner fury.
The game is always played one versus one on a map of your choice, and yes,
you have to play with someone who is right next to you.

To shoot is of course easy enough to figure out, but if you want to step up
your game, you need to figure out things like how to swing yourself to safety
with the ninja rope, to use timed weapons for area denial, to hunt without
being hunted, to ambush, hit and run, and control that darn guided missile.

Lierolibre is a 100% free fork of Liero, and stays true to the original
gameplay.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

sed -i -e 's/Name=lierolibre/Name=Lierolibre/g' data/lierolibre.desktop

%build
%configure \
        --bindir=%{_gamesbindir} \
        --datadir=%{_gamesdatadir}
%make_build

%install
%makeinstall_std

%files
%doc ChangeLog README NEWS AUTHORS
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_libexecdir}/%{name}/%{name}
%{_mandir}/man6/*


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 0.5-alt8_29
- update by mgaimport

* Thu Mar 21 2024 Cronbuild Service <cronbuild@altlinux.org> 0.5-alt8_28
- rebuild to get rid of unmets

* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 0.5-alt7_28
- update by mgaimport

* Fri Feb 10 2023 Igor Vlasenko <viy@altlinux.org> 0.5-alt7_27
- update by mgaimport

* Fri Sep 16 2022 Cronbuild Service <cronbuild@altlinux.org> 0.5-alt7_26
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.5-alt6_26
- update by mgaimport

* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.5-alt6_25
- update by mgaimport

* Sun Jan 02 2022 Igor Vlasenko <viy@altlinux.org> 0.5-alt6_24
- update by mgaimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 0.5-alt6_23
- update by mgaimport

* Sun Aug 22 2021 Cronbuild Service <cronbuild@altlinux.org> 0.5-alt6_22
- rebuild to get rid of unmets

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 0.5-alt5_22
- update by mgaimport

* Sun May 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.5-alt5_21
- rebuild to get rid of unmets

* Mon Mar 15 2021 Cronbuild Service <cronbuild@altlinux.org> 0.5-alt4_21
- rebuild to get rid of unmets

* Wed Jan 13 2021 Igor Vlasenko <viy@altlinux.ru> 0.5-alt3_21
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.5-alt3_20
- update by mgaimport

* Sat Oct 03 2020 Cronbuild Service <cronbuild@altlinux.org> 0.5-alt3_19
- rebuild to get rid of unmets

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 0.5-alt2_19
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.5-alt2_18
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.5-alt2_17
- update by mgaimport

* Sat Oct 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt2_16
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt2_15
- update by mgaimport

* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt2_14
- update by mgaimport

* Sat Jun 09 2018 Cronbuild Service <cronbuild@altlinux.org> 0.5-alt2_13
- rebuild to get rid of unmets

* Mon Feb 19 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_13
- update by mgaimport

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_11
- update by mgaimport

* Mon Jun 13 2016 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_10
- converted for ALT Linux by srpmconvert tools

